# BasicConfigurator.hh File Reference

`#include <log4cpp/Portability.hh>`

Include dependency graph for BasicConfigurator.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::BasicConfigurator
| This class implements a trivial default configuration for log4cpp: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category. More...